#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/wdt.h>
#include <util/delay.h>

#define bit_set(port,bit)       { port |= (1<<(bit));}
#define bit_clear(port,bit)     { port &= ~(1<<(bit));}
#define min(a,b)                ((a)<(b) ? (a):(b))

#define nop()   __asm__ volatile ("nop" )
#define wdr()   __asm__ volatile("wdr" )


void func_a(int8_t sel) {
	if (sel) {
		bit_set(DDRC, PB0);
		bit_set(PORTC, PB0);
	} else {
		bit_clear(PORTC, PB0);
		bit_clear(DDRC, PB0);
	}
}

int main() {
	int8_t i;
	char *p = "abc";
	for (i=0; i<3; i++) {
		func_a(i & 1);
	}
	while (*p) {
		PORTB = *p;
		p++;
	}
	return 0;
}
